Subject: Re: linux-next: build failure after merge of the ext3 tree

From: Christoph Hellwig <[email-masked]>
Date: Tue, 2 Mar 2010 04:07:11 -0500

On Tue, Mar 02, 2010 at 11:36:34AM +1100, Stephen Rothwell wrote:
> Hi Jan,
> 
> After merging the ext3 tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/jfs/jfs_xtree.c: In function 'xtSplitRoot':
> fs/jfs/jfs_xtree.c:1256: error: 'rec' undeclared (first use in this function)
> 
> Caused by commit bff3333e868578990f6fe794a7cba0c74bd433ac ("dquot:
> cleanup space allocation / freeing routines").
> 
> This is annoying ... this file system could be build tested on any
> architecture, so why wasn't it?

I did test the compile, but the version in your tree does not match the
one I submitted.